%define pname     streamdev
%define configdir %(vdr-config --configdir  2>/dev/null || echo ERROR)
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Distribution:   CCux
Packager:	Christian Wasem <wasem@cux-linux.de>

Summary:	VDR plugin streamdev
Name:		vdr-%{pname}
Version:	0.5.0
Release:	1.pre
Group:		VDR
License:	GNU/GPL
URL:		http://streamdev.vdr-developer.org/
Source:		%{pname}-%{version}-pre.tar.bz2
Patch0:		%{pname}-%{version}-pre-TS-default.patch
Patch1:		%{pname}-%{version}-pre-remuxpath.patch
Patch2:		%{pname}-%{version}-pre-Makefile.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
This PlugIn is a VDR implementation of the VTP (Video Transfer Protocol,
see file PROTOCOL) and a basic HTTP Streaming Protocol.

It consists of a server and a client part, but both parts are compiled together
with the PlugIn source, but appear as separate PlugIns to VDR.

%prep
%setup -q -n %{pname}-%{version}-pre
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}-*.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -dm 755 $RPM_BUILD_ROOT%{configdir}/plugins/streamdev
install -m755 streamdev/externremux.sh $RPM_BUILD_ROOT%{configdir}/plugins/streamdev
install -m644 streamdev/streamdevhosts.conf $RPM_BUILD_ROOT%{configdir}/plugins/streamdev

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%_sysconfdir
%_libdir

%changelog
* Thu Sep 18 2008 Christian Wasem <wasem@ccux-linux.de> 0.5.0-1.pre
- Initial release
